.input-search {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #333;
  z-index: 99;
  transform: translateX(rem(50));
  opacity: 0;
  visibility: hidden;
  transition: all 0.5s;

  @include mmax($pad) {
    display: none;
  }

  &__icon {
    position: absolute;
    top: 0;
    bottom: 0;
    @include dflex(center, wrap, center);
    margin: auto;
    font-size: rem(18);
    transition: opacity 0.3s cubic-bezier(0.25, 0.1, 0.25, 1);
    opacity: 0.8;
    cursor: default;
    color: #fff;
  }

  input {
    outline: none;
    border: none;
    box-shadow: none;
    box-sizing: border-box;
    background: none;
    width: 100%;
    height: 100%;
    white-space: nowrap;
    text-overflow: ellipsis;
    font-size: rem(17);
    line-height: 1.29412;
    letter-spacing: 0.11em;
    font-family: 'SF Pro Text', 'Myriad Set Pro', 'SF Pro Icons',
      'Helvetica Neue', 'Helvetica', 'Arial', sans-serif;
    color: #fff;
    font-weight: 300;
    outline: none;
    position: absolute;
    padding: 0 rem(38) 0 rem(39);
  }

  &__close {
    outline: none;
    box-sizing: border-box;
    width: rem(38);
    height: 100%;
    position: absolute;
    right: 0;
    top: 0;
    background: none;
    box-shadow: none;
    border: none;
    color: #fff;

    &-icon {
      path {
        stroke: #fff;
      }
    }
  }
}

.input-search.is-active {
  opacity: 1;
  visibility: visible;
  transform: translateX(0);
}
